[Haskell-cafe] problems installing cabal on windows

Daniel Fischer daniel.is.fischer at web.de
Fri Jan 29 13:47:34 EST 2010

Am Freitag 29 Januar 2010 19:36:12 schrieb Han Joosten:
> I recently upgraded to GHC 6.12.1 on my windows system.
> Now I have trouble getting cabal right.
> I read the forums, and I got the cabal.exe for windows. I think I
> followed the upgrade instructions. However I do not get it all to work.
> THis is my version of Cabal:
>    C:>cabal --version
>    cabal-install version 0.6.2
>    using version of the Cabal library

for ghc-6.12.1, you need cabal-install-0.8, 
I'm afraid the Haskell Platform is still for 6.10, I don't know whether 
there's a windows binary around anywhere.

> However, when I try to install any library, I get:
>    C:>cabal install graphviz
>    cabal: failed to parse output of 'ghc-pkg dump'
> I get the feeling that I miss some step during installation, but I
> cannot figure out what that should be.
> I am the only user of my windows machine, and I have admin rights.
> Any suggestions are welcome!

Install the Haskell Platform with 6.10 and wait before you move to 6.12, or 
try getting cabal 0.8 to work by hand (if google doesn't reveal windows 

> Han Joosten

More information about the Haskell-Cafe mailing list